SubtractLineTool Class Reference

`#include <SubtractLineTool.h>`

Inheritance diagram for SubtractLineTool:

## Signals

void | statusText (const QString &)

## Public Member Functions

virtual int | rtti () const
| SubtractLineTool (Graph *graph, ApplicationWindow *app, const QObject *status_target, const char *status_slot)
virtual | ~SubtractLineTool ()
Public Member Functions inherited from PlotToolInterface
| PlotToolInterface (Graph *graph, const QObject *status_target=NULL, const char *status_slot="")
virtual | ~PlotToolInterface ()

## Protected Slots

void | selectPoint (const QwtDoublePoint &pos)

## Private Member Functions

void | finalize ()

## Private Attributes

QwtPlotMarker * | d_first_point_marker
QLineF | d_line
ScreenPickerTool * | d_picker_tool
int | d_selected_points

## Additional Inherited Members

Public Types inherited from PlotToolInterface
enum | RttiValues { Rtti_PlotTool = 0, Rtti_RangeSelector, Rtti_DataPicker, Rtti_TranslateCurveTool, Rtti_MultiPeakFitTool, Rtti_LineProfileTool, Rtti_AddWidgetTool, Rtti_DrawDataPoints, Rtti_ImageProfilesTool, Rtti_SubtractLineTool, Rtti_PlotUserTool = 1000 }
Protected Attributes inherited from PlotToolInterface
Graph * | d_graph
const char * | d_status_slot
const QObject * | d_status_target

## Detailed Description

Plot tool for substracting a straight line.

## Constructor & Destructor Documentation

## SubtractLineTool()

SubtractLineTool::SubtractLineTool | ( | Graph * | graph,
|  | ApplicationWindow * | app,
|  | const QObject * | status_target,
|  | const char * | status_slot
| ) |  |

References PlotToolInterface::d_graph, d_picker_tool, d_selected_points, selectPoint(), and statusText().

## ~SubtractLineTool()

SubtractLineTool::~SubtractLineTool | ( |  | ) |

virtual

References PlotToolInterface::d_graph, and d_picker_tool.

## Member Function Documentation

## finalize()

void SubtractLineTool::finalize | ( |  | ) |

private

References Graph::activeTool(), Table::colIndex(), Graph::curveCount(), d_first_point_marker, PlotToolInterface::d_graph, d_line, d_picker_tool, Graph::dataCurve(), DataCurve::endRow(), Graph::ErrorBars, Table::notifyChanges(), PlotToolInterface::rtti(), PlotToolInterface::Rtti_RangeSelector, Graph::setActiveTool(), Table::setCell(), DataCurve::startRow(), DataCurve::table(), Table::text(), and PlotCurve::type().

Referenced by rtti(), and selectPoint().

## rtti()

virtual int SubtractLineTool::rtti | ( |  | ) | const

inline virtual

Reimplemented from PlotToolInterface.

References finalize(), PlotToolInterface::Rtti_SubtractLineTool, selectPoint(), and statusText().

## selectPoint

void SubtractLineTool::selectPoint | ( | const QwtDoublePoint & | pos | ) |

protected slot

References d_first_point_marker, PlotToolInterface::d_graph, d_line, d_selected_points, finalize(), and statusText().

Referenced by rtti(), and SubtractLineTool().

## statusText

void SubtractLineTool::statusText | ( | const QString & |  | ) |

signal

Emitted whenever a new message should be presented to the user.

You don't have to connect to this signal if you alreay specified a reciever during initialization.

Referenced by rtti(), selectPoint(), and SubtractLineTool().

## Member Data Documentation

## d_first_point_marker

QwtPlotMarker* SubtractLineTool::d_first_point_marker

private

Referenced by finalize(), and selectPoint().

## d_line

QLineF SubtractLineTool::d_line

private

Referenced by finalize(), and selectPoint().

## d_picker_tool

ScreenPickerTool* SubtractLineTool::d_picker_tool

private

Referenced by finalize(), SubtractLineTool(), and ~SubtractLineTool().

## d_selected_points

int SubtractLineTool::d_selected_points

private

Referenced by selectPoint(), and SubtractLineTool().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/SubtractLineTool.h
- qtiplot/src/plot2D/SubtractLineTool.cpp